#ifndef __Mail4c_MailerBroker_h__
#define __Mail4c_MailerBroker_h__

#include <Mail4c/Mail4c.h>

#include <Mail4c/Mailer.h>

#include <Mail4c/Exception.h>

namespace Mail4c
{
	class Mail4c_Export MailerBroker
	{
		private:
#if defined (LINUX)
			static void* _handle;
#elif defined (_WINDOWS)
			static HMODULE _handle;
#endif /* LINUX */
			static Mail4c::Mailer* (*_mailerFn)() throw( Mail4c::Exception );

		public:
//			MailerBroker();
//			virtual ~MailerBroker();

			static Mailer* mailer( const std::string& strSharedObject ) throw( Mail4c::Exception );
	};
};
#endif /* !__Mail4c_MailerBroker_h__ */
