#ifndef __Mail4c_Mailer_h__
#define __Mail4c_Mailer_h__

#include <Mail4c/Mail4c.h>

#include <Mail4c/Message.h>

#include <Mail4c/Exception.h>

#include <string>

namespace Mail4c
{
	class Mail4c_Export Mailer
	{
		public:
			Mailer();
			virtual ~Mailer();

			virtual void setMTA( const std::string& strMTA ) = 0;
			virtual void sendmail( const Mail4c::Message& message ) throw( Mail4c::Exception ) = 0;
	};
};

#endif /* !__Mail4c_Mailer_h__ */
